Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine.design.events
Class JRPropertyChangeSupport

    java.lang.Object
      java.beans.PropertyChangeSupport
          net.sf.jasperreports.engine.design.events.JRPropertyChangeSupport

All Implemented Interfaces:
  java.io.Serializable

    public class JRPropertyChangeSupport

extends java.beans.PropertyChangeSupport

Version:
  $Id: JRPropertyChangeSupport.java 3033 2009-08-27 11:46:22Z teodord $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)
See Also:
  Serialized Form

Constructor Summary
`JRPropertyChangeSupport(java.lang.Object sourceBean)`

Method Summary
`void` | `fireCollectionElementAddedEvent(java.lang.String propertyName, java.lang.Object addedValue, int addedIndex)`
`void` | `fireCollectionElementRemovedEvent(java.lang.String propertyName, java.lang.Object removedValue, int removedIndex)`
`void` | `firePropertyChange(java.lang.String propertyName, double oldValue, double newValue)`
`void` | `firePropertyChange(java.lang.String propertyName, float oldValue, float newValue)`

Methods inherited from class java.beans.PropertyChangeSupport
`addPropertyChangeListener, addPropertyChangeListener, fireIndexedPropertyChange, fireIndexedPropertyChange, fireIndexedPropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getPropertyChangeListeners, getPropertyChangeListeners, hasListeners, removePropertyChangeListener, removePropertyChangeListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JRPropertyChangeSupport

    public JRPropertyChangeSupport(java.lang.Object sourceBean)

Method Detail

### fireCollectionElementAddedEvent

    public void fireCollectionElementAddedEvent(java.lang.String propertyName,
                                                java.lang.Object addedValue,
                                                int addedIndex)

### fireCollectionElementRemovedEvent

    public void fireCollectionElementRemovedEvent(java.lang.String propertyName,
                                                  java.lang.Object removedValue,
                                                  int removedIndex)

### firePropertyChange

    public void firePropertyChange(java.lang.String propertyName,
                                   float oldValue,
                                   float newValue)

### firePropertyChange

    public void firePropertyChange(java.lang.String propertyName,
                                   double oldValue,
                                   double newValue)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com